Page MenuHomePhabricator

Remove WDQ from pywikibot
Closed, ResolvedPublic

Description

Since WDQ has been shut down the various WDQ implementations in pywikibot should either be removed (or replaced with a notice explaining what has happened) or rebuilt to make use of the sparql engine instead.

Relvant code

  • pywikibot/data/wikidataquery.py
  • tests/wikidataquery_tests.py
  • pywikibot/pagegenerators.py:WikidataQueryPageGenerator

Likely related tasks which might be folded into this one

Event Timeline

Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptApr 10 2017, 9:19 AM
Xqt triaged this task as High priority.Apr 23 2017, 1:03 PM
Multichill added a subscriber: Multichill.

Working on it. Patch is in Gerrit and now passes.

Multichill closed this task as Resolved.May 20 2017, 1:13 PM
Multichill added a subscriber: Xqt.

Done, all gone, just one deprecation warning left if you use the "-wikidataquery" generator as suggested by @Xqt